﻿:root {
  --main-bgcolor: #0a1438;
  --top-logo-height: 100px;
  --screen-lg: 1200px;
  --screen-md: 900px;
  --screen-sm: 500px;
  --screen-vsm: 300px;
}

* {
  margin: 0px;
  padding: 0px;
  box-sizing: border-box;
  font-family: Arial, Helvetica, sans-serif;
}

body {
  /*background: linear-gradient(-45deg,#396DA5, #009dff, #5579c6, #1260cc, #396DA5);*/
  background-color: rgb(240,240,255);
  height: 100vh;
}

footer {
    display: grid;
    width: 100%;
    font-size: 0.9rem;
    color: ghostwhite;
}

footer a {
    color: lightblue;
}

a, a:visited, a:active {
    text-decoration: none;
}

a img {
  display: block;
}

h1 {
  font-family: Arial, Helvetica, sans-serif;
  color: #e1e7ee;
  text-shadow: 2px 2px 4px #000000;
  font-size: 2.5rem;
}

select {
  background: url("data:image/svg+xml,<svg height='10px' width='10px' viewBox='0 0 16 16' fill='%23000000' xmlns='http://www.w3.org/2000/svg'><path d='M7.247 11.14 2.451 5.658C1.885 5.013 2.345 4 3.204 4h9.592a1 1 0 0 1 .753 1.659l-4.796 5.48a1 1 0 0 1-1.506 0z'/></svg>") no-repeat;
  background-position: calc(100% - 0.75rem) center !important;
  -moz-appearance: none !important;
  -webkit-appearance: none !important;
  appearance: none !important;
  /* padding-right: 2rem !important; */
}

.banner_logo {
  background-color: white;
  padding: 5px;
  margin: 10px;
  border-radius: 5px;
  height: 150px;
}

.social_icon {
    display: flex;
    align-items: center;
}

.social_icon a, .social_icon a:active, .social_icon a:visited, .social_icon a:hover {
  color: white;
  line-height: 3.0rem;
  padding-right: 30px;
}

a.social_icon i {
  margin: 5px 10px;
}

.top_menu {
  display: flex;
  justify-content: space-between;
}

.top_menu a {
  padding: 0px 10px;
  margin-right: 10px;
  color: white;
  text-decoration: none;
  letter-spacing: 0.1rem;
}

.autofit {
  max-width: 90vw;
  height: auto;
  margin: 30px 10px;
}

/*
img.banner {
  width: 98vw;
  height: auto;
  margin: 0px 0px 30px 0px;
}
*/

.section_topbanner {
  background-color: var(--main-bgcolor);
  width: 100%;
  display: flex;
  justify-content: center;
  position: fixed;
  z-index: 999;
}

.section_topbanner .logo img {
  height: var(--top-logo-height, 80px);
}

.section_container {
  width: 100%;
  min-height: 300px;
  padding-top: 120px;
}

.section_footer {
  background-color: var(--main-bgcolor);
}

.footer-title {
  font-size: 1.5rem;
  margin-bottom: 10px;
  letter-spacing: 0.2rem;
}

.max-width {
  width: var(--screen-lg);
  margin: auto;
  display: flex;
  align-items: center;
  justify-content: space-between;
  align-content: center;
  flex-wrap: wrap;
}

.shopeelogo {
  width: 32px;
  height: 32px;
}

.container-product-search {
  display: flex;
  align-items: center;
  justify-content: stretch;
  width: 100%;
  margin: 20px 0px;
}

.container-product-search select {
  background-color: white;
  padding: 10px 15px;
}

.container-product-search .product-search-box {
  flex-grow: 2;
  margin: 0px 20px;
  padding: 10px 15px;
}

.container-product-search .search-button {
  padding: 10px 10px;
  background-color: var(--main-bgcolor);
  color: white;
  border-radius: 5px;
}

.container-productlist {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
}

.container-product {
  background-color: white;
  border: 1px solid grey;
  border-radius: 15px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  overflow: hidden;
  width: 200px;
  padding: 10px;
  margin-bottom: 30px;
}

.container-productstock {
  font-size: 0.8rem;
}

.container-product:hover {
    box-shadow: 5px 5px 10px #888888;
}

.container-productimg {
  padding: 5px;
  justify-items: center;
}

.container-productimg img {
  width: 100%;
  height: auto;
  max-height: 350px;
}

.container-productdesc {
  display: -webkit-box;
  max-height: 2.0rem;
  font-size: 0.9rem;
  text-overflow: ellipsis;
  overflow: hidden;
  -webkit-line-clamp: 2;
  line-clamp: 2;
}

.container-productprice {
  display: flex;
  justify-content: space-between;
  align-items: center;
  font-size: 1.2rem;
  margin-top: 8px;
}

.container-productcart {
  
}

.product_info {
  padding: 20px;
}

.product_info section {
  display: flex;
  padding-bottom: 20px;
}

.product_info section div:nth-child(1) {
  width: 150px;
}

.product_info section div:nth-child(2) {
  width: auto;
}

.secpager {
  display: flex;
  margin: 10px;
}

.lnkpager {
  padding: 10px;
  margin-right: 10px;
  text-decoration: none;
  color: inherit;
  background-color: lightblue;
  border-radius: 5px;
}

  @media screen and (max-width: 1220px) {
    .max-width {
      width: 100%;
      padding: 0px 10px;
  }
}

@media screen and (max-width: 800px) {
  h1 {
    font-size: 1.5rem;
  }
}

@media screen and (max-width: 700px) {
  h1 {
    font-size: 1rem;
  }
}

@media screen and (max-width: 600px) {

}

@media screen and (max-width: 500px) {

}

@media screen and (max-width: 300px) {
  .container-productlist {
    justify-content: center;
  }
}
